%define		mod_name	apparmor
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: AppArmor
Summary(pl.UTF-8):	Moduł Apache'a: AppArmor
Name:		apache-mod_%{mod_name}
Version:	3.0.7
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Networking/Daemons/HTTP
Source0:	http://launchpad.net/apparmor/3.0/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	4cab0b7abb751439dec2d0e956732f08
Patch0:		apparmor-build.patch
URL:		http://wiki.apparmor.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	libapparmor-devel >= 1:%{version}
Requires:	apache(modules-api) = %apache_modules_api
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_apparmor adds support to Apache 2 to provide AppArmor confinement
to individual CGI scripts handled by Apache modules like mod_php and
mod_perl. This package is part of a suite of tools that used to be
named SubDomain.

%description -l pl.UTF-8
mod_apparmor dodaje do Apache'a 2 obsługę ograniczeń AppArmor dla
poszczególnych skryptów CGI obsługiwanych przez moduły Apache'a takie
jak mod_php czy mod_perl. Ten pakiet jest częścią zestawu narzędzi
zwanych SubDomain.

%prep
%setup -q -n apparmor-%{version}
%patch0 -p1

%build
%{__make} -C changehat/mod_apparmor mod_%{mod_name}.so \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT

cd changehat/mod_apparmor

install -D mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install -D mod_%{mod_name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/00_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/00_mod_apparmor.conf
%attr(755,root,root) %{_pkglibdir}/mod_apparmor.so
%changelog
* Wed Sep 07 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_apparmor.git;a=log;h=master

* Wed Sep 07 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 61fc80d
- Up to 3.0.7.

* Mon Mar 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> cb6fa99
- Up to 3.0.4.

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 3beecc0
- rebuild with separate debuginfo build-ids

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f3792a
- up to 3.0.1

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> dc70304
- updated to 2.13.4

* Tue Jul 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c34cf99
- up to 2.13.3

* Mon Mar 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> fdb3b0e
- up to 2.13.2

* Mon Apr 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9157cdb
- up to 2.13

* Sat Jan 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 09e4bbb
- up to 2.12

* Fri Oct 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 51fd766
- up to 2.11.1

* Sun Apr 02 2017 Jakub Bogusz <qboosh@pld-linux.org> eaf6098
- updated to 2.11.0

* Mon Apr 25 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 16976b0
- up to 2.10.1

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 26fa661
- updated to 2.10

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 87826db
- updated to 2.9.2

* Sat Mar 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c6020ea
- up to 2.9.1

* Wed Oct 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 376fde0
- up to 2.9.0

* Mon Feb 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 2083ba1
- updated to 2.8.3

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ace3b9c
- up to 2.8.2

* Fri May 03 2013 Jan Rękorajski <baggins@pld-linux.org> 5f44247
- release 2 (by relup.sh)

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 66b2a35
- up to 2.8.1

